Loading...
Searching...
No Matches
casacore::SDHistoryHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDHistoryHandler.h>`

## Public Member Functions

| SDHistoryHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDHistoryHandler (MeasurementSet &ms, const Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - no columns are explicitly handled here
| SDHistoryHandler (const SDHistoryHandler &other)
| copy ctor
| ~SDHistoryHandler ()
SDHistoryHandler & | operator= (const SDHistoryHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, Int observationId, const String &message, const String &priority)
| fill - a new row is added on each call, the message time stamp is the current time

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| clean up row-dependent stuff
void | initAll (MeasurementSet &ms, const Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (const Vector< Bool > &handledCols, const Record &row)
| initialize stuff which depends on the row

## Private Attributes

MSHistory * | msHis_p
MSHistoryColumns * | msHisCols_p
RORecordFieldPtr< String > | timesys_p
| TIMESYS field pointer when available.

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 83 of file SDHistoryHandler.h.

## Constructor & Destructor Documentation

## SDHistoryHandler() [1/3]

casacore::SDHistoryHandler::SDHistoryHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDHistoryHandler().

## SDHistoryHandler() [2/3]

casacore::SDHistoryHandler::SDHistoryHandler | ( | MeasurementSet & | ms,
|  | const Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - no columns are explicitly handled here

References casacore::Record().

## SDHistoryHandler() [3/3]

casacore::SDHistoryHandler::SDHistoryHandler | ( | const SDHistoryHandler & | other | ) |

copy ctor

References SDHistoryHandler().

## ~SDHistoryHandler()

casacore::SDHistoryHandler::~SDHistoryHandler | ( |  | ) |

inline

Definition at line 95 of file SDHistoryHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDHistoryHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS

References casacore::Record().

## clearAll()

void casacore::SDHistoryHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDHistoryHandler().

## clearRow()

void casacore::SDHistoryHandler::clearRow | ( |  | ) |

private

clean up row-dependent stuff

## fill()

void casacore::SDHistoryHandler::fill | ( | const Record & | row,
|  | Int | observationId,
|  | const String & | message,
|  | const String & | priority )

fill - a new row is added on each call, the message time stamp is the current time

References casacore::Record().

## initAll()

void casacore::SDHistoryHandler::initAll | ( | MeasurementSet & | ms,
|  | const Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDHistoryHandler::initRow | ( | const Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize stuff which depends on the row

References casacore::Record().

## operator=()

SDHistoryHandler & casacore::SDHistoryHandler::operator= | ( | const SDHistoryHandler & | other | ) |

assignment operator, uses copy semantics

References SDHistoryHandler().

## resetRow()

void casacore::SDHistoryHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## Member Data Documentation

## msHis_p

MSHistory* casacore::SDHistoryHandler::msHis_p

private

Definition at line 110 of file SDHistoryHandler.h.

## msHisCols_p

MSHistoryColumns* casacore::SDHistoryHandler::msHisCols_p

private

Definition at line 111 of file SDHistoryHandler.h.

## timesys_p

RORecordFieldPtr<String> casacore::SDHistoryHandler::timesys_p

private

TIMESYS field pointer when available.

Definition at line 114 of file SDHistoryHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDHistoryHandler.h